<!--<h4 class="font-weight-bold py-3 mb-2">
    History
</h4>-->
<div *ngIf="serverErr.status" class="emptyDiv">
    <figure>
    <img src="assets/imgs/hxIcon/emptydb.png" class="emptyDashboardImg">
    <figcaption><span class="emptyDashboardContent1">{{serverErr.msg}}</span></figcaption>
</figure>
</div>

<div *ngIf="recentSearchList && recentSearchList.length> 0">
    <div class="card mb-2 card-disable">
        <a [attr.aria-expanded]="!historyCollapse" href="javascript:void(0)" class="d-flex justify-content-between text-dark py-3 px-4"
            data-toggle="collapse">
            <div *ngIf="!historyCollapse" class="text-dark text-left text-big font-weight-bold">{{pageName}}</div>
            <span style="width:auto; height:auto;">
                <div *ngIf="historyCollapse" (click)="historyToogle()" class="text-dark text-left text-big font-weight-bold font-icon">
                    <i class="fa fa-chevron-left" aria-hidden="true"></i> Back</div>
            </span>
        </a>
        <div [ngbCollapse]="historyCollapse" class="collapse collapse-bg" style="text-align:center;">
            <div style="margin-left:auto;width:100%;">

                <!-- <div *ngFor="let intent of recentSearchList; let i = index" (click)="onIntentClick(intent)" class="col-sm-6 col-md-4 col-xl-3 mb-4 img-thumbnail-shadow tail_card"
                    title={{intent.hsdescription}}>

                    <div class="d-block text-dark mt-2 tail_card_header">{{intent.hsdescription}}</div>
                    <img class="ui-rect-60 ui-bg-cover text-white tail_body_img" src={{getImageUrlForIntent(intent,i)}} /> -->
                <!--<div class="d-flex justify-content-end align-items-end ui-rect-content p-2">
                          <div class="bg-dark rounded text-white small font-weight-semibold line-height-1 p-1">{{video.duration}}</div>
                        </div>-->


                <!--<a href="javascript:void(0)" class="d-block text-dark mt-2">{{video.title}}</a>-->
                <!--<div>
                      <span class="text-muted small"> {{video.views}} views</span> &nbsp;
                      <a href="javascript:void(0)" class="text-muted small"> {{video.likes}} likes</a> &nbsp;
                      <span class="text-muted small"> {{video.reposts}} reposts</span>
                    </div>-->
                <!-- </div> -->
                <div class="chart-display">
                    <div>
                        <div>
                            <!-- <ngb-accordion [closeOthers]="true" class="ngb-accordion-with-icon" *ngIf="recentSearchList.length>0">
                                <ngb-panel *ngFor="let viewGroup of viewGroups|orderBy:'view_sequence':reverse:'case-insensitive';let i=index;"
                                    [id]="'accordion2-static-'+i" [style.display]="viewGroup.hsdescription==''?'none':''">
                                    <ng-template ngbPanelTitle>
                                        <span class="text-white">{{viewGroup.hsdescription}}</span>
                                        <div ngbDropdown [placement]="'bottom-right'" class="ml-2">
                                            <button ngbDropdownToggle class="btn btn-sm btn-default icon-btn borderless btn-round md-btn-flat hide-arrow">
                                                <i class="ion ion-ios-more"></i>
                                            </button>
                                            <div ngbDropdownMenu [class.dropdown-menu-right]="true" class="dark-dropdown-menu zindex1080">
                                                <a class="dropdown-item" href="javascript:void(0)" (click)="onIntentClick(viewGroup)">
                                                    <i class="fas fa-long-arrow-alt-right" aria-hidden="true"></i><span
                                                        class="ml-2">Detail View</span>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="collapse-icon"></div>
                                    </ng-template>
                                    <ng-template ngbPanelContent>
                                        <div style="min-height:380px">
                                            <hx-entityDocs class="block-ui-zindex" [dashView]="true" [dashViewGroup]="viewGroups"
                                                [selectedChart]="viewGroup" [defaultDisplayType]="'table'" [resultData]="viewGroup.resultData"
                                                [callbackJson]="viewGroup.hscallback_json" [pivot_config]="viewGroup.pivot_config"
                                                [dashViewIndex]="i">
                                            </hx-entityDocs>
                                        </div>
                                    </ng-template>
                                </ngb-panel>
                            </ngb-accordion> -->
                            <div *ngFor="let viewGroup of viewGroups|orderBy:'view_sequence':reverse:'case-insensitive';let i=index;"
                                [class]="'col-md-12 mb-2 pl-0 pr-0 large-etl'" [style.display]="viewGroup.hsdescription==''?'none':'block'">
                                <div *ngIf="viewGroup.hsdescription!=''" class="card block-ui-white highlight_on_focus">
                                    <h6 class="card-header with-elements border-0 pr-0 pb-0 history_tab" (click)='showDashboardObject(i)'>
                                        <div style="max-width:80vw;" class="card-header-title dashboard-tile-title">
                                            <span>{{viewGroup.hsdescription}}</span>
                                        </div>
                                        <div class="card-header-elements ml-auto mr-2">
                                            <div ngbDropdown [placement]="'bottom-right'" class="ml-2">
                                                <button ngbDropdownToggle class="btn btn-sm btn-default icon-btn btn-round md-btn-flat hide-arrow">
                                                    <i class="ion ion-ios-more"></i>
                                                </button>
                                                <div ngbDropdownMenu [class.dropdown-menu-right]="true" class="dark-dropdown-menu zindex1080">
                                                    <a class="dropdown-item" href="javascript:void(0)" (click)="onIntentClick(viewGroup)">
                                                        <i class="fas fa-long-arrow-alt-right" aria-hidden="true"></i><span
                                                            class="ml-2">Detail View</span>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- <div class="collapse-icon" (click)='showDashboardObject(i)'></div> -->
                                    </h6>
                                    <div *ngIf="displayObject.includes(i)">
                                        <div style="min-height:380px">
                                            <div *ngIf="!viewGroup.errmsg; else serverFailed">
                                                <hx-entityDocs class="block-ui-zindex" [dashView]="true" [dashViewGroup]="viewGroups"
                                                    [selectedChart]="viewGroup" [defaultDisplayType]="'table'"
                                                    [resultData]="viewGroup.resultData" [callbackJson]="viewGroup.hscallback_json"
                                                    [pivot_config]="viewGroup.pivot_config" [dashViewIndex]="i">
                                                </hx-entityDocs>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--<ngb-pagination [collectionSize]="50"></ngb-pagination>-->
    </div>
</div>

<!--<div class="card mb-2" *ngIf="!recentSearchList || recentSearchList.length == 0">
        <div class="card-body text-big text-center text-danger">
            <div style="height: 200px">
                No Recent History data found
            </div>
        </div>
    </div>-->
<div *ngIf="recentSearchList && recentSearchList.length == 0">
    <div class="card mb-2">
        <a [attr.aria-expanded]="!historyCollapse" href="javascript:void(0)" class="d-flex justify-content-between text-dark py-3 px-4"
            data-toggle="collapse">
            <div *ngIf="!historyCollapse" class="text-dark text-left text-big font-weight-bold">{{pageName}}</div>
        </a>
    </div>
    <div class="emptyDiv">
        <figure>
        <img src="assets/imgs/hxIcon/emptydb.png" class="emptyDashboardImg">
        <figcaption><span class="emptyDashboardContent1">No Records Found</span></figcaption>
    </figure>
    </div>
</div>

<div *ngIf="showView">
    <hx-entityDocs *ngIf="entityData!=undefined" [favorite]="favorite" [selectedChart]="selectedChart" [defaultDisplayType]="'table'"
        [isPageView]="true" [resultData]="entityData" [callbackJson]="callbackJson" [dataChanged]="entityDataChanged"
        [pivot_config]="pivot_config">
    </hx-entityDocs>

</div>
<div class="card-body text-big text-center text-danger collapse-bg" style="text-align:center;">

    <div style="min-height: 380px;margin-top:150px">
        <ng-template #pageBlockTemplate>
            <div class="block-ui-template">
                <!-- <div class="sk-wave sk-primary">
                    <div class="sk-rect sk-rect1"></div>
                    <div class="sk-rect sk-rect2"></div>
                    <div class="sk-rect sk-rect3"></div>
                    <div class="sk-rect sk-rect4"></div>
                    <div class="sk-rect sk-rect5"></div>
                </div> -->
                <div class="sk-double-bounce sk-primary">
                    <div class="sk-child sk-double-bounce1"></div>
                    <div class="sk-child sk-double-bounce2"></div>
                </div>
                <span class="loading-text-material"><p class="text-center text-white"> {{loadingText}} </p></span>
                <!-- <h5 class="text-center mb-0">Loading...</h5> -->
            </div>
        </ng-template>
        <div style="min-height: 380px;margin-top:150px">
            <!-- No Recent History data found -->
        </div>

        <block-ui [template]="pageBlockTemplate" class="block-ui-white"></block-ui>
    </div>
</div>

<ng-template #serverFailed>
    <div style="text-align: center;padding-top: 150px; height: 380px">
        {{viewGroups[displayObject[0]].errmsg}}
    </div>
</ng-template>